Skip to content

Get Trading Pairs ​

Rate Limit: 10 req/sec/ip

Description ​

Interface is used to get future trading pair details.

HTTP Request ​

  • GET /api/v1/futures/market/trading_pairs

Request Parameters ​

ParameterTypeRequiredDescription
symbolsstringfalseTrading pairs, based on the symbolName, i.e. BTCUSDT,ETHUSDT,XRPUSDT

Request Example

bash
curl -X 'GET'  --location 'https://fapi.bitunix.com/api/v1/futures/market/trading_pairs?symbols=BTCUSDT,ETHUSDT'

Response Parameters ​

ParameterTypeDescription
symbolstringCoin pair name i.e. BTCUSDT
basestringBase currency Specifically refers to ETH as in ETHUSDT
quotestringBase currency Specifically refers to USDT as in ETHUSDT
minTradeVolumestringMinimum opening amount (base currency)
minBuyPriceOffsetstringMinimum price offset for buy orders
maxSellPriceOffsetstringMaximum price offset for sell orders
maxLimitOrderVolumestringMaximum limit order base amount
maxMarketOrderVolumestringMaximum market order base amount
basePrecisionintMax precision of opening amount
quotePrecisionintMax precision of order price
maxLeverageintMax leverage
minLeverageintMin leverage
defaultLeverageintDefault Leverage
defaultMarginModestringDefault margin mode Isolation Cross
priceProtectScopestringPrice protection scope.
For example: current mark price is:10000 priceProtectScope=0.02, the minimum sell order price = 10000*(1-0.02)=9800; the maximum buy order price = 10000*(1+0.02) = 10200
symbolStatusstringOPEN: trade normal CANCEL_ONLY: cancel only STOP: can't open/close position
isApiSupportedbooltrue: API Trading Enabled false: API Trading Disabled
maxFundingRatedecimalMax Current Funding Rate
minFundingRatedecimalMin Current Funding Rate
launchTimelongContract launch time. Unix timestamp in milliseconds (UTC). null: uptime not configured
delistTimelongScheduled contract delisting time. Unix timestamp in milliseconds (UTC). Omitted: delisting time not configured or cleared

Response Example

json
{"code":0,"data":[{"symbol":"BTCUSDT","base":"BTC","quote":"USDT","minTradeVolume":"0.0001","minBuyPriceOffset":"-0.95","maxSellPriceOffset":"100","maxLimitOrderVolume":"100000","maxMarketOrderVolume":"50000","basePrecision":4,"quotePrecision":1,"minLeverage":1,"maxLeverage":125,"defaultLeverage":20,"defaultMarginMode":1,"priceProtectScope":"0.02","symbolStatus":"OPEN","isApiSupported":true,"maxFundingRate":"0.3","minFundingRate":"-0.3"}],"msg":"Success"}